<?php
 function is_https() {
    if ( !empty($_SERVER['HTTPS']) && strtolower($_SERVER['HTTPS']) !== 'off') {
        return true;
    } elseif ( isset($_SERVER['HTTP_X_FORWARDED_PROTO']) && $_SERVER['HTTP_X_FORWARDED_PROTO'] === 'https' ) {
        return true;
    } elseif ( !empty($_SERVER['HTTP_FRONT_END_HTTPS']) && strtolower($_SERVER['HTTP_FRONT_END_HTTPS']) !== 'off') {
        return true;
    }elseif($_SERVER['SERVER_PORT'] == 89){
        return true;
    }

return false;
}
$res=is_https();
if($res){
 echo 1;
}else{
    echo 2;
}
exit;
function getSortArr($sortArray){
    ksort($sortArray);
    $str='';
    foreach($sortArray as $val){
        $str.=$val;
    }
    return $str;
}
$abc=array(
    'citycode'=>'0591',
    'key'=>'2ba49dcb9d9601f460892005e2a80171',
    'lng'=>119.24174,
    'lat'=>26.05318,
);

$result=getSortArr($abc);
echo md5('3f06016e8c7d0b4183000ed60ac039e0~!@#$`1234qwert');exit;
?>